Skip to main content
POST
/
api
/
v1
/
search-email-leads
/
search-contacts
curl -X POST "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-contacts?api_key=YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit": 10}'
{
    "success": true,
    "message": "Contacts searched successfully",
    "data": {
        "list": [
            {
                "id": "5f22b0e8cff47e0001616f81",
                "firstName": "Orhan",
                "lastName": "Demiri",
                "fullName": "Orhan Demiri",
                "title": "Generalagentur Agenturleiter",
                "company": {
                    "name": "Gothaer",
                    "website": "gothaer.de"
                },
                "department": ["Sales"],
                "level": "Staff",
                "industry": "Financial Services",
                "subIndustry": "",
                "companyHeadCount": "1K - 10K",
                "companyRevenue": "> $1B",
                "country": "Germany",
                "state": "",
                "city": "",
                "email": "random@example.com",
                "linkedin": "linkedin.com/random_data",
                "emailDeliverability": 0.95,
                "address": "Germany"
            },
            {
                "id": "5f22b1a0cff47e000161b01f",
                "firstName": "Tim",
                "lastName": "Ziegler",
                "fullName": "Tim Ziegler",
                "title": "Director of Sales and Business Development",
                "company": {
                    "name": "soluzione Script GmbH",
                    "website": "soluzione.de"
                },
                "department": ["Sales"],
                "level": "Director-Level",
                "industry": "Education",
                "subIndustry": "E-Learning",
                "companyHeadCount": "25 - 100",
                "companyRevenue": "$1 - 10M",
                "country": "Germany",
                "state": "Bavaria",
                "city": "Bavaria",
                "email": "random@example.com",
                "linkedin": "linkedin.com/random_data",
                "emailDeliverability": 0.95,
                "address": "Bavaria"
            }
        ],
        "scroll_id": "FGluY2x1ZGVfY29udGV4dF91dWlkDXF1ZXJ5QW5kRmV0Y2gBFkh5d0FSVjZaUXlpbzdWYWkxRV9DNGcAAAAAADUQGhZlT2V0Z0ptSVNyYWQwbk9kYTFsRXhB",
        "filter_id": 327105,
        "total_count": 16064669
    }
}
This endpoint requires authentication via API key passed as a query parameter (api_key).

Query Parameters

api_key
string
required
Your SmartLead API key for authentication

Request Body

The request body must be JSON. limit is required and must be between 1 and 500. All array parameters have a maximum of 2000 items each.
limit
number
required
Number of contacts to return (1–500)
name
string[]
Filter by full name (max 2000 items)
firstName
string[]
Filter by first name (max 2000 items)
lastName
string[]
Filter by last name (max 2000 items)
title
string[]
Filter by job title (max 2000 items)
excludeTitle
string[]
Exclude contacts with these titles (max 2000 items)
excludeCompany
string[]
Exclude these companies (max 2000 items)
excludeCompanyDomain
string[]
Exclude these company domains (max 2000 items)
includeTitle
string[]
Include only these titles (max 2000 items)
includeCompany
string[]
Include only these companies (max 2000 items)
includeCompanyDomain
string[]
Include only these company domains (max 2000 items)
department
string[]
Filter by department (max 2000 items)
level
string[]
Filter by seniority level (max 2000 items)
companyName
string[]
Filter by company name (max 2000 items)
companyDomain
string[]
Filter by company domain (max 2000 items)
companyKeyword
string[]
Filter by company keyword (max 2000 items)
companyHeadCount
string[]
Filter by company headcount range (max 2000 items)
companyRevenue
string[]
Filter by company revenue (max 2000 items)
companyIndustry
string[]
Filter by industry (max 2000 items)
companySubIndustry
string[]
Filter by sub-industry (max 2000 items)
city
string[]
Filter by city (max 2000 items)
state
string[]
Filter by state (max 2000 items)
country
string[]
Filter by country (max 2000 items)
dontDisplayOwnedContact
boolean
Exclude contacts already owned
scroll_id
string
Pagination scroll ID for next page
titleExactMatch
boolean
Match title exactly
companyExactMatch
boolean
Match company exactly
companyDomainExactMatch
boolean
Match company domain exactly
curl -X POST "https://prospect-api.smartlead.ai/api/v1/search-email-leads/search-contacts?api_key=YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"limit": 10}'

Response Codes

200
Success
Request successful
400
Bad Request
Bad Request
401
Unauthorized
Unauthorized
500
Internal Server Error
Internal Server Error
{
    "success": true,
    "message": "Contacts searched successfully",
    "data": {
        "list": [
            {
                "id": "5f22b0e8cff47e0001616f81",
                "firstName": "Orhan",
                "lastName": "Demiri",
                "fullName": "Orhan Demiri",
                "title": "Generalagentur Agenturleiter",
                "company": {
                    "name": "Gothaer",
                    "website": "gothaer.de"
                },
                "department": ["Sales"],
                "level": "Staff",
                "industry": "Financial Services",
                "subIndustry": "",
                "companyHeadCount": "1K - 10K",
                "companyRevenue": "> $1B",
                "country": "Germany",
                "state": "",
                "city": "",
                "email": "random@example.com",
                "linkedin": "linkedin.com/random_data",
                "emailDeliverability": 0.95,
                "address": "Germany"
            },
            {
                "id": "5f22b1a0cff47e000161b01f",
                "firstName": "Tim",
                "lastName": "Ziegler",
                "fullName": "Tim Ziegler",
                "title": "Director of Sales and Business Development",
                "company": {
                    "name": "soluzione Script GmbH",
                    "website": "soluzione.de"
                },
                "department": ["Sales"],
                "level": "Director-Level",
                "industry": "Education",
                "subIndustry": "E-Learning",
                "companyHeadCount": "25 - 100",
                "companyRevenue": "$1 - 10M",
                "country": "Germany",
                "state": "Bavaria",
                "city": "Bavaria",
                "email": "random@example.com",
                "linkedin": "linkedin.com/random_data",
                "emailDeliverability": 0.95,
                "address": "Bavaria"
            }
        ],
        "scroll_id": "FGluY2x1ZGVfY29udGV4dF91dWlkDXF1ZXJ5QW5kRmV0Y2gBFkh5d0FSVjZaUXlpbzdWYWkxRV9DNGcAAAAAADUQGhZlT2V0Z0ptSVNyYWQwbk9kYTFsRXhB",
        "filter_id": 327105,
        "total_count": 16064669
    }
}